grid.xaxis {grid} | R Documentation

## Draw an X-Axis

### Description

These functions create and draw an x-axis.

### Usage

    grid.xaxis(at = NULL, label = TRUE, main = TRUE,
               edits = NULL, name = NULL,
               gp = gpar(), draw = TRUE, vp = NULL)

    xaxisGrob(at = NULL, label = TRUE, main = TRUE,
              edits = NULL, name = NULL,
              gp = gpar(), vp = NULL)

### Arguments

`at` | A numeric vector of x-value locations for the tick marks.
`label` | A logical value indicating whether to draw the labels on the tick marks, or an expression or string vector which specify the labels to use. If not logical, must be the same length as the `at` argument.
`main` | A logical value indicating whether to draw the axis at the bottom (`TRUE`) or at the top (`FALSE`) of the viewport.
`edits` | A gEdit or gEditList containing edit operations to apply (to the children of the axis) when the axis is first created and during redrawing whenever `at` is `NULL`.
`name` | A character identifier.
`gp` | An object of class `gpar`, typically the output from a call to the function `gpar`. This is basically a list of graphical parameter settings.
`draw` | A logical value indicating whether graphics output should be produced.
`vp` | A Grid viewport obect (or `NULL`).

### Details

Both functions create an xaxis grob (a graphical object describing an xaxis), but only `grid.xaxis` draws the xaxis (and then only if `draw` is `TRUE`).

### Value

An xaxis grob. `grid.xaxis` returns the value invisibly.

### Children

If the `at` slot of an xaxis grob is not `NULL` then the xaxis will have the following children:

major
  representing the line at the base of the tick marks.
ticks
  representing the tick marks.
labels
  representing the tick labels.

If the `at` slot is `NULL` then there are no children and ticks are drawn based on the current viewport scale.

### Author(s)

Paul Murrell

### See Also

Grid, `viewport`, `grid.yaxis`

[Package grid version 2.3.1 Index]